
set -x
results_folder="../results/"

# Add the header
echo "Location,Technology,ts_relay,ts_client" > timestamps.csv
echo "Location,Technology,rtt" > ping.csv

# Add the prefix to the timestamps and concatenate it to a final-csv
for techiter in "eth Ethernet" "wifi Wi-Fi"  "5G 5G"
do
  set -- $techiter
  tech=$1
  techstr=$2

  for lociter in "uni University"
  do
    set -- $lociter
    loc=$1
    locstr=$2
    fprefix=${loc}-${tech}
    echo ${fprefix}
    sed 's/^/'"${locstr}"'\,'"${techstr}"'\,/'  ${results_folder}/${fprefix}-timestamps.txt >> timestamps.csv
    cat ${results_folder}/${fprefix}-ping.txt | cut -d ' ' -f 7 | grep "time" | cut -d '=' -f 2 > tmp.txt
    sed 's/^/'"${locstr}"'\,'"${techstr}"'\,/' tmp.txt >> ping.csv
  done
done   
rm tmp.txt
