
The folder contains the client which receives the data from the mqtt broker of the rtcm3\_relay.

## Python environment for rtcm3\_client

This step is similar to what is required for the rtcm3\_relay

Create a python environment where paho-mqtt is installed. This code was tested using python 3.8

Create a venv folder in this directory. 
```
python3.8 -m venv venv
source venv/bin/activate
pip install -r requirements.txt
```
- You might see some errors about bdist\_wheel which can be ignored. 

## Command

```
timeout <duration for which to log the results> python rtcm_client.py -h <hostname or IP address> -p <port number> -s <prefix for logs>
```
